## camera-app 2.9.1daily13.06.11

=== CMakeLists.txt ===
project(camera-app)
cmake_minimum_required(VERSION 2.8.9)
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

# Find includes in corresponding build directories
set(CMAKE_INCLUDE_CURRENT_DIR ON)

# Instruct CMake to run moc automatically when needed.
set(CMAKE_AUTOMOC ON)

find_package(Qt5Qml)
find_package(Qt5Quick)
find_package(Qt5Multimedia)

# Standard install paths
include(GNUInstallDirs)

set(CAMERA_APP_DIR ${CMAKE_INSTALL_DATADIR}/camera-app)

configure_file(config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h @ONLY)

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${Qt5Core_INCLUDE_DIRS}
    ${Qt5Quick_INCLUDE_DIRS}
    ${Qt5Multimedia_INCLUDE_DIRS}
    )

set(CAMERA_APP camera-app)

set(camera_app_HDRS
    cameraapplication.h)

set(camera_app_SRCS
    cameraapplication.cpp
    main.cpp)

add_executable(${CAMERA_APP}
    ${cameraapplication_MOC_SRCS}
    ${camera_app_SRCS}
    )

target_link_libraries(${CAMERA_APP}
    ${Qt5Core_LIBRARIES}
    ${Qt5Quick_LIBRARIES}
    ${Qt5Multimedia_LIBRARIES}
    )

install(TARGETS ${CAMERA_APP}
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    )

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC")

file(GLOB QML_JS_FILES *.qml *.js)

install(FILES ${QML_JS_FILES}
    DESTINATION ${CAMERA_APP_DIR}
    )

set(ASSETS_DIR assets)

install(DIRECTORY ${ASSETS_DIR}
    DESTINATION ${CAMERA_APP_DIR}
    )

set(THEME_DIR theme)

install(DIRECTORY ${THEME_DIR}
    DESTINATION ${CAMERA_APP_DIR}
    )

install(FILES ${CAMERA_APP}.desktop
    DESTINATION ${CMAKE_INSTALL_DATADIR}/applications
    )

add_subdirectory(CameraApp)

enable_testing()
add_subdirectory(tests)

## camera-app 2.9.1daily13.06.12

=== CameraApp/CMakeLists.txt ===
# QML plugin

set(plugin_SRCS
    components.cpp
    advancedcamerasettings.cpp
    )

set(plugin_HDRS
    components.h
    advancedcamerasettings.h
    )

add_library(camera-qml SHARED ${plugin_SRCS} ${plugin_HDRS})

target_link_libraries(camera-qml
    ${Qt5Qml_LIBRARIES}
    ${Qt5Quick_LIBRARIES}
    ${Qt5Multimedia_LIBRARIES}
    )


# Qt5's cmake does not export QT_IMPORTS_DIR, lets query qmake on our own for now
get_target_property(QMAKE_EXECUTABLE Qt5::qmake LOCATION) 
function(QUERY_QMAKE VAR RESULT) 
  exec_program(${QMAKE_EXECUTABLE} ARGS "-query ${VAR}" RETURN_VALUE return_code OUTPUT_VARIABLE output ) 
  if(NOT return_code) 
    file(TO_CMAKE_PATH "${output}" output) 
    set(${RESULT} ${output} PARENT_SCOPE) 
  endif(NOT return_code) 
endfunction(QUERY_QMAKE) 
query_qmake(QT_INSTALL_QML QT_IMPORTS_DIR)


set(PLUGIN_DIR ${QT_IMPORTS_DIR}/CameraApp)
install(TARGETS camera-qml DESTINATION ${PLUGIN_DIR})
install(FILES qmldir DESTINATION ${PLUGIN_DIR})

=== po/CMakeLists.txt ===
project(camera-app-translations)

include(FindGettext)
find_program(GETTEXT_XGETTEXT_EXECUTABLE xgettext)

set(DOMAIN ${GETTEXT_PACKAGE})
set(POT_FILE ${DOMAIN}.pot)
file(GLOB PO_FILES *.po)

add_custom_target(${POT_FILE}
                  COMMAND ${GETTEXT_XGETTEXT_EXECUTABLE} -o ${POT_FILE}
                          -D ${CMAKE_SOURCE_DIR}
                          --from-code=UTF-8
                          --c++ --qt --add-comments=TRANSLATORS
                          --keyword=tr --keyword=tr:1,2
                          --package-name=camera-app
                          --copyright-holder='Canonical Ltd.'
                          ${I18N_SRC_FILES})

foreach(PO_FILE ${PO_FILES})
    get_filename_component(LANG ${PO_FILE} NAME_WE)
    gettext_process_po_files(${LANG} ALL PO_FILES ${PO_FILE})
    set(INSTALL_DIR ${CMAKE_INSTALL_LOCALEDIR}/${LANG}/LC_MESSAGES)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${LANG}.gmo
            DESTINATION ${INSTALL_DIR}
            RENAME ${DOMAIN}.mo)
endforeach(PO_FILE)

## camera-app 2.9.1daily13.06.17

=== CMakeLists.txt ===
--- 
+++ 
@@ -71,11 +71,30 @@
     DESTINATION ${CAMERA_APP_DIR}
     )
 
-install(FILES ${CAMERA_APP}.desktop
+set(DESKTOP_FILE camera-app.desktop)
+file(REMOVE ${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE})
+file(STRINGS ${DESKTOP_FILE}.in DESKTOP_FILE_CONTENTS)
+foreach(LINE ${DESKTOP_FILE_CONTENTS})
+    string(REGEX REPLACE "tr\\\(\"(.*)\"\\\)" "\\1" LINE "${LINE}")
+    file(APPEND ${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE} "${LINE}\n")
+endforeach(LINE)
+
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE}
     DESTINATION ${CMAKE_INSTALL_DATADIR}/applications
     )
 
 add_subdirectory(CameraApp)
 
+file(GLOB_RECURSE I18N_SRC_FILES
+     RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
+     **.qml **.desktop.in)
+list(SORT I18N_SRC_FILES)
+
+# for dh_translations to extract the domain
+# (regarding syntax consistency, see http://pad.lv/1181187)
+set (GETTEXT_PACKAGE "camera-app")
+
+add_subdirectory(po)
+
 enable_testing()
 add_subdirectory(tests)

## camera-app 2.9.1+13.10.20130703

=== CMakeLists.txt ===
--- 
+++ 
@@ -65,8 +65,6 @@
     DESTINATION ${CAMERA_APP_DIR}
     )
 
-set(THEME_DIR theme)
-
 install(DIRECTORY ${THEME_DIR}
     DESTINATION ${CAMERA_APP_DIR}
     )

## camera-app 2.9.1+13.10.20130725

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,6 +12,9 @@
 find_package(Qt5Quick)
 find_package(Qt5Multimedia)
 
+find_package(PkgConfig REQUIRED)
+pkg_check_modules(UserMetrics REQUIRED libusermetricsinput-1)
+
 # Standard install paths
 include(GNUInstallDirs)
 
@@ -25,6 +28,7 @@
     ${Qt5Core_INCLUDE_DIRS}
     ${Qt5Quick_INCLUDE_DIRS}
     ${Qt5Multimedia_INCLUDE_DIRS}
+    ${UserMetrics_INCLUDE_DIRS}
     )
 
 set(CAMERA_APP camera-app)
@@ -45,6 +49,7 @@
     ${Qt5Core_LIBRARIES}
     ${Qt5Quick_LIBRARIES}
     ${Qt5Multimedia_LIBRARIES}
+    ${UserMetrics_LIBRARIES}
     )
 
 install(TARGETS ${CAMERA_APP}

=== tests/autopilot/CMakeLists.txt ===
set(AUTOPILOT_DIR camera_app)

execute_process(COMMAND python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()"
    OUTPUT_VARIABLE PYTHON_PACKAGE_DIR OUTPUT_STRIP_TRAILING_WHITESPACE)

install(DIRECTORY ${AUTOPILOT_DIR}
    DESTINATION ${PYTHON_PACKAGE_DIR}
    )

## camera-app 2.9.1+13.10.20130930.4

=== click/CMakeLists.txt ===
if(CLICK_MODE)
    if(NOT BZR_REVNO)
        set(BZR_REVNO "latest")
    endif(NOT BZR_REVNO)
    configure_file(manifest.json.in ${CMAKE_CURRENT_BINARY_DIR}/manifest.json)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/manifest.json
            DESTINATION ${CMAKE_INSTALL_PREFIX})
    install(FILES camera-apparmor.json
            DESTINATION ${CMAKE_INSTALL_PREFIX})
endif(CLICK_MODE)

## camera-app 2.9.1+13.10.20131008

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,13 +12,26 @@
 find_package(Qt5Quick)
 find_package(Qt5Multimedia)
 
-find_package(PkgConfig REQUIRED)
-pkg_check_modules(UserMetrics REQUIRED libusermetricsinput-1)
-
 # Standard install paths
 include(GNUInstallDirs)
 
-set(CAMERA_APP_DIR ${CMAKE_INSTALL_DATADIR}/camera-app)
+option(INSTALL_TESTS "Install the tests on make install" on)
+option(CLICK_MODE "Installs to a contained location" off)
+
+if(CLICK_MODE)
+    set(CAMERA_APP camera)
+    set(CMAKE_INSTALL_PREFIX /)
+    set(CAMERA_APP_DIR /)
+    set(CMAKE_INSTALL_BINDIR /)
+    set(PLUGIN_BASE lib/${CMAKE_LIBRARY_ARCHITECTURE})
+    set(PLUGIN_DIR ${PLUGIN_BASE}/CameraApp)
+    set(DESKTOP_EXEC "./${CAMERA_APP}")
+    set(CLICK_TAG click)
+else(CLICK_MODE)
+    set(CAMERA_APP camera-app)
+    set(CAMERA_APP_DIR ${CMAKE_INSTALL_DATADIR}/${CAMERA_APP})
+    set(DESKTOP_EXEC ${CAMERA_APP})
+endif(CLICK_MODE)
 
 configure_file(config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h @ONLY)
 
@@ -28,10 +41,7 @@
     ${Qt5Core_INCLUDE_DIRS}
     ${Qt5Quick_INCLUDE_DIRS}
     ${Qt5Multimedia_INCLUDE_DIRS}
-    ${UserMetrics_INCLUDE_DIRS}
     )
-
-set(CAMERA_APP camera-app)
 
 set(camera_app_HDRS
     cameraapplication.h)
@@ -49,7 +59,6 @@
     ${Qt5Core_LIBRARIES}
     ${Qt5Quick_LIBRARIES}
     ${Qt5Multimedia_LIBRARIES}
-    ${UserMetrics_LIBRARIES}
     )
 
 install(TARGETS ${CAMERA_APP}
@@ -79,6 +88,8 @@
 file(STRINGS ${DESKTOP_FILE}.in DESKTOP_FILE_CONTENTS)
 foreach(LINE ${DESKTOP_FILE_CONTENTS})
     string(REGEX REPLACE "tr\\\(\"(.*)\"\\\)" "\\1" LINE "${LINE}")
+    string(REGEX REPLACE "\@DESKTOP_EXEC\@" 
+        "${DESKTOP_EXEC}" LINE "${LINE}")
     file(APPEND ${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE} "${LINE}\n")
 endforeach(LINE)
 
@@ -87,6 +98,7 @@
     )
 
 add_subdirectory(CameraApp)
+add_subdirectory(click)
 
 file(GLOB_RECURSE I18N_SRC_FILES
      RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}

## camera-app 2.9.1+13.10.20131011

=== CameraApp/CMakeLists.txt ===
# QML plugin

set(plugin_SRCS
    components.cpp
    advancedcamerasettings.cpp
    )

set(plugin_HDRS
    components.h
    advancedcamerasettings.h
    )

add_library(camera-qml SHARED ${plugin_SRCS} ${plugin_HDRS})

target_link_libraries(camera-qml
    ${Qt5Qml_LIBRARIES}
    ${Qt5Quick_LIBRARIES}
    ${Qt5Multimedia_LIBRARIES}
    )


# Qt5's cmake does not export QT_IMPORTS_DIR, lets query qmake on our own for now
if(NOT CLICK_MODE)
get_target_property(QMAKE_EXECUTABLE Qt5::qmake LOCATION) 
    function(QUERY_QMAKE VAR RESULT) 
    exec_program(${QMAKE_EXECUTABLE} ARGS "-query ${VAR}" RETURN_VALUE return_code OUTPUT_VARIABLE output ) 
    if(NOT return_code) 
        file(TO_CMAKE_PATH "${output}" output) 
        set(${RESULT} ${output} PARENT_SCOPE) 
    endif(NOT return_code) 
endfunction(QUERY_QMAKE) 
query_qmake(QT_INSTALL_QML QT_IMPORTS_DIR)
set(PLUGIN_DIR ${QT_IMPORTS_DIR}/CameraApp)
endif(NOT CLICK_MODE)

install(TARGETS camera-qml DESTINATION ${PLUGIN_DIR})
install(FILES qmldir DESTINATION ${PLUGIN_DIR})

## camera-app 2.9.1+14.04.20140331

=== tests/autopilot/CMakeLists.txt ===
set(AUTOPILOT_DIR camera_app)

execute_process(COMMAND python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()"
    OUTPUT_VARIABLE PYTHON_PACKAGE_DIR OUTPUT_STRIP_TRAILING_WHITESPACE)

if(INSTALL_TESTS)
install(DIRECTORY ${AUTOPILOT_DIR}
    DESTINATION ${PYTHON_PACKAGE_DIR}
    )
endif(INSTALL_TESTS)

=== tests/unittests/CMakeLists.txt ===
add_executable(tst_QmlTests tst_QmlTests.cpp)
qt5_use_modules(tst_QmlTests Core Qml Quick Test QuickTest)
target_link_libraries(tst_QmlTests ${TPL_QT5_LIBRARIES})
add_test(tst_QmlTests ${CMAKE_CURRENT_BINARY_DIR}/tst_QmlTests -import ${CMAKE_SOURCE_DIR})
set_tests_properties(tst_QmlTests PROPERTIES ENVIRONMENT "QT_QPA_PLATFORM=minimal")

# copy qml test files to build dir
file(GLOB qmlTestFiles RELATIVE ${CMAKE_SOURCE_DIR}/tests/unittests/ *qml)
foreach(qmlTestFile ${qmlTestFiles})
  file(COPY ${qmlTestFile} DESTINATION ${CMAKE_BINARY_DIR}/tests/unittests/)
endforeach(qmlTestFile)

## camera-app 2.9.1+14.04.20140508-0ubuntu1

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,6 +11,7 @@
 find_package(Qt5Qml)
 find_package(Qt5Quick)
 find_package(Qt5Multimedia)
+find_package(Qt5Gui)
 
 # Standard install paths
 include(GNUInstallDirs)
@@ -18,17 +19,23 @@
 option(INSTALL_TESTS "Install the tests on make install" on)
 option(CLICK_MODE "Installs to a contained location" off)
 
+set(CAMERA_APP camera-app)
+
 if(CLICK_MODE)
-    set(CAMERA_APP camera)
+    if(NOT DEFINED BZR_SOURCE)
+        set(BZR_SOURCE "lp:camera-app")
+    endif(NOT DEFINED BZR_SOURCE)
     set(CMAKE_INSTALL_PREFIX /)
     set(CAMERA_APP_DIR /)
     set(CMAKE_INSTALL_BINDIR /)
     set(PLUGIN_BASE lib/${CMAKE_LIBRARY_ARCHITECTURE})
     set(PLUGIN_DIR ${PLUGIN_BASE}/CameraApp)
     set(DESKTOP_EXEC "./${CAMERA_APP}")
-    set(CLICK_TAG click)
+	set(CAMERA_ICON "${CMAKE_INSTALL_DATADIR}/icons/camera-app.svg")
+	install(FILES camera-app.svg DESTINATION ${CMAKE_INSTALL_DATADIR}/icons)
+    add_definitions("-DCLICK_MODE=1")
 else(CLICK_MODE)
-    set(CAMERA_APP camera-app)
+	set(CAMERA_ICON "camera-app")
     set(CAMERA_APP_DIR ${CMAKE_INSTALL_DATADIR}/${CAMERA_APP})
     set(DESKTOP_EXEC ${CAMERA_APP})
 endif(CLICK_MODE)
@@ -41,6 +48,7 @@
     ${Qt5Core_INCLUDE_DIRS}
     ${Qt5Quick_INCLUDE_DIRS}
     ${Qt5Multimedia_INCLUDE_DIRS}
+    ${Qt5Gui_INCLUDE_DIRS}
     )
 
 set(camera_app_HDRS
@@ -59,6 +67,7 @@
     ${Qt5Core_LIBRARIES}
     ${Qt5Quick_LIBRARIES}
     ${Qt5Multimedia_LIBRARIES}
+    ${Qt5Gui_LIBRARIES}
     )
 
 install(TARGETS ${CAMERA_APP}
@@ -88,8 +97,7 @@
 file(STRINGS ${DESKTOP_FILE}.in DESKTOP_FILE_CONTENTS)
 foreach(LINE ${DESKTOP_FILE_CONTENTS})
     string(REGEX REPLACE "tr\\\(\"(.*)\"\\\)" "\\1" LINE "${LINE}")
-    string(REGEX REPLACE "\@DESKTOP_EXEC\@" 
-        "${DESKTOP_EXEC}" LINE "${LINE}")
+    string(CONFIGURE "${LINE}" LINE)
     file(APPEND ${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE} "${LINE}\n")
 endforeach(LINE)
 
@@ -99,6 +107,7 @@
 
 add_subdirectory(CameraApp)
 add_subdirectory(click)
+add_subdirectory(desktop)
 
 file(GLOB_RECURSE I18N_SRC_FILES
      RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}

=== debian/changelog ===
camera-app (2.9.1+14.04.20140508-0ubuntu1) trusty; urgency=medium

  [Bill Filler]
  * disable video record button, temp fix for lp:1299073

  [Arthur Mello]
  * Flip the video horizontally if we are on desktop lp:1307654

 -- Bill Filler <bill.filler@canonical.com>  Thu, 08 May 2014 21:13:02 -0400

camera-app (2.9.1+14.04.20140331-0ubuntu2) trusty; urgency=medium

  * Alternatively depend on the OpenGLES version of
    qtdeclarative5-qtmultimedia-plugin and
    qtdeclarative5-ubuntu-ui-toolkit-plugin

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Mon, 14 Apr 2014 15:59:16 -0300

camera-app (2.9.1+14.04.20140331-0ubuntu1) trusty; urgency=low

  [ Bill Filler ]
  * updated framework version
  * change check for desktopMode to use platform name rather than env
    var

  [ Pete Woods ]
  * Handle the HUD quit signal This change is only necessary for apps
    that don't use the UITK MainView (LP: #1269409)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 31 Mar 2014 16:39:21 +0000

camera-app (2.9.1+14.04.20140307-0ubuntu1) trusty; urgency=low

  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 07 Mar 2014 06:56:53 +0000

camera-app (2.9.1+14.04.20140306-0ubuntu1) trusty; urgency=low

  [ Bill Filler ]
  * click support

  [ Sergio Schvezov ]
  * click support

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 06 Mar 2014 16:42:20 +0000

camera-app (2.9.1+14.04.20140214-0ubuntu1) trusty; urgency=low

  [ Bill Filler ]
  * skip integration test until it's reworked to be more reliable

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 14 Feb 2014 23:40:23 +0000

camera-app (2.9.1+14.04.20140213-0ubuntu1) trusty; urgency=low

  [ Bill Filler ]
  * initial support for DESKTOP_MODE

  [ Omer Akram ]
  * port autopilot tests to python 3.
  * add integration test to make sure gallery icon in the camera toolbar
    really opens the gallery-app. (LP: #1228335)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 13 Feb 2014 23:49:01 +0000

camera-app (2.9.1+14.04.20131106-0ubuntu1) trusty; urgency=low

  [ Łukasz 'sil2100' Zemczak ]
  * Make camera-app autopilot tests passing on 1.4 - we remove the
    main_window.get_camera() element as it is broken and not used at all
    during tests

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 224

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 06 Nov 2013 15:13:17 +0000

camera-app (2.9.1+13.10.20131011-0ubuntu1) saucy; urgency=low

  [ Bill Filler ]
  * skip invalid tests on maguro/mir
  * Center the viewfinder in more cases fixes LP: #1179503 (LP:
    #1179503)
  * Disable the video switch as the feature is not working for v1.0

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 217

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 11 Oct 2013 09:20:29 +0000

camera-app (2.9.1+13.10.20131008-0ubuntu1) saucy; urgency=low

  [ Pete Woods ]
  * Set the minimum value for the camera infographic (fix regression in
    r200). (LP: #1214309)

  [ Ted Gould ]
  * Adding single instance marker to the desktop file.

  [ Ugo Riboni ]
  * Launch the gallery app using the URL dispatcher. (LP: #1229291)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 210

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 08 Oct 2013 05:25:24 +0000

camera-app (2.9.1+13.10.20130930.4-0ubuntu1) saucy; urgency=low

  [ Ugo Riboni ]
  * Use the new QML bindings to send metrics via libusermetrics.

  [ Sergio Schvezov ]
  * Click build support.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 203

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 30 Sep 2013 21:44:47 +0000

camera-app (2.9.1+13.10.20130923-0ubuntu1) saucy; urgency=low

  [ Guenter Schwann ]
  * Disable test_shoot_button_disable(9 as it is unstable because of a
    race condition. (LP: #1227373)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 198

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 23 Sep 2013 07:49:28 +0000

camera-app (2.9.1+13.10.20130919.2-0ubuntu1) saucy; urgency=low

  [ Pete Woods ]
  * Fix the infographic display, so that it correctly sets the minimum
    value.

  [ Ugo Riboni ]
  * Use the new actions API to add actions to the HUD, and make sure
    they actually do something. (LP: #1221344)

  [ Timo Jyrinki ]
  * Add qtdeclarative5-unity-action-plugin dependency

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 193

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 19 Sep 2013 09:01:53 +0000

camera-app (2.9.1+13.10.20130802-0ubuntu1) saucy; urgency=low

  [ Guenter Schwann ]
  * Use Eventually for testing the focus ring opacity for 0.0. (LP:
    #1206822)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 183

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 02 Aug 2013 04:41:55 +0000

camera-app (2.9.1+13.10.20130731-0ubuntu1) saucy; urgency=low

  [ Ugo Riboni ]
  * Change the license of assets to CC instead of GPL3. (LP: #1194916)
  * Align the camera app recording time counter as specified by design.
    (LP: #1193257)
  * The margin of the zoom bar center line and toolbar center of
    symmetry are now the same when in landscape mode. (LP: #1122036)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 181

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 31 Jul 2013 04:01:54 +0000

camera-app (2.9.1+13.10.20130725-0ubuntu1) saucy; urgency=low

  [ Guenter Schwann ]
  * Don't show the zoom bar, when zooming is not possible. (LP:
    #1191088)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 177

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 25 Jul 2013 06:40:01 +0000

camera-app (2.9.1+13.10.20130724-0ubuntu1) saucy; urgency=low

  [ Pete Woods ]
  * Change the infographic text as per design request.



=== debian/control ===
Source: camera-app
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ugo Riboni <ugo.riboni@canonical.com>
Build-Depends: cmake,
               debhelper (>= 9),
               libgl1-mesa-dev | libgl1-dev,
               libgles2-mesa-dev | libgles2-dev,
               pkg-config,
               python,
               qtbase5-dev,
               qtdeclarative5-dev,
               qtdeclarative5-qtquick2-plugin,
               qtdeclarative5-test-plugin,
               qtdeclarative5-ubuntu-ui-toolkit-plugin,
               qtdeclarative5-unity-action-plugin (>= 1.1.0),
               qtdeclarative5-usermetrics0.1,
               qtmultimedia5-dev,
               libusermetricsinput1-dev,
               gettext,
               dh-translations,
Standards-Version: 3.9.4
Homepage: https://launchpad.net/camera-app
# If you aren't a member of ~phablet-team but need to upload packaging changes,
# just go ahead.  ~phablet-team will notice and sync up the code again.
Vcs-Bzr: https://code.launchpad.net/~phablet-team/camera-app/trunk

Package: camera-app
Architecture: any
Depends: cameraplugin-aal [armel armhf],
         libqt5multimedia5,
         qtdeclarative5-qtquick2-plugin,
         qtdeclarative5-qtmultimedia-plugin | qtdeclarative5-qtmultimedia-plugin-gles,
         qtdeclarative5-ubuntu-ui-toolkit-plugin | qtdeclarative5-ubuntu-ui-toolkit-plugin-gles,
         qtdeclarative5-unity-action-plugin (>= 1.1.0),
         qtdeclarative5-window-plugin,
         qtdeclarative5-usermetrics0.1,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Camera application
 An application to take pictures and videos with the device camera(s)

Package: camera-app-autopilot
# architecture is not "all", as we set the fake plugin as dependency
Architecture: i386 amd64 armhf
Depends: camera-app (>= ${binary:Version}),
         cameraplugin-fake [!armel !armhf],
         libautopilot-qt (>= 1.4),
         libqt5test5,
         libqt5widgets5,
         unity8-autopilot,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Test package for the camera app
 Autopilot tests for the camera-app package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DPKG_GENSYMBOLS_CHECK_LEVEL=4

%:
	dh $@ --parallel --with translations

override_dh_install:
	dh_install --fail-missing

override_dh_translations:
	# Override dh_translations to work around http://pad.lv/1183262.
	# Unfortunately, the default build directory is not exposed
	# (see http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=601774).
	$(MAKE) -C obj-$(DEB_HOST_GNU_TYPE) camera-app.pot

## camera-app 3.0.0%2B16.04.20160323.3

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -7,12 +7,21 @@
 set(POT_FILE ${DOMAIN}.pot)
 file(GLOB PO_FILES *.po)
 
-add_custom_target(${POT_FILE}
+add_custom_target(${POT_FILE} ALL
+                  COMMENT "Generating translation template"
+                  COMMAND ${INTLTOOL_EXTRACT} --update --type=gettext/ini
+                          --srcdir=${CMAKE_SOURCE_DIR} ${DESKTOP_FILE}.in.in
                   COMMAND ${GETTEXT_XGETTEXT_EXECUTABLE} -o ${POT_FILE}
                           -D ${CMAKE_SOURCE_DIR}
+                          -D ${CMAKE_CURRENT_SOURCE_DIR}
+                          -D ${CMAKE_CURRENT_BINARY_DIR}
                           --from-code=UTF-8
                           --c++ --qt --add-comments=TRANSLATORS
-                          --keyword=tr --keyword=tr:1,2
+                          --keyword=tr 
+                          --keyword=N_ 
+                          --keyword=tr:1,2
+                          --keyword=QT_TR_NOOP 
+                          --keyword=tag
                           --package-name=camera-app
                           --copyright-holder='Canonical Ltd.'
                           ${I18N_SRC_FILES})
@@ -25,3 +34,4 @@
             DESTINATION ${INSTALL_DIR}
             RENAME ${DOMAIN}.mo)
 endforeach(PO_FILE)
+

## camera-app 3.0.0+14.10.20141008

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,18 +8,23 @@
 # Instruct CMake to run moc automatically when needed.
 set(CMAKE_AUTOMOC ON)
 
+# Standard install paths. Needs to be set before finding packages.
+include(GNUInstallDirs)
+
 find_package(Qt5Qml)
 find_package(Qt5Quick)
 find_package(Qt5Multimedia)
 find_package(Qt5Gui)
 
-# Standard install paths
-include(GNUInstallDirs)
+find_program(INTLTOOL_MERGE intltool-merge)
+find_program(INTLTOOL_EXTRACT intltool-extract)
 
 option(INSTALL_TESTS "Install the tests on make install" on)
 option(CLICK_MODE "Installs to a contained location" off)
 
 set(CAMERA_APP camera-app)
+set(AUTOPILOT_DIR camera_app)
+set(DESKTOP_FILE camera-app.desktop)
 
 if(CLICK_MODE)
     if(NOT DEFINED BZR_SOURCE)
@@ -31,12 +36,18 @@
     set(PLUGIN_BASE lib/${CMAKE_LIBRARY_ARCHITECTURE})
     set(PLUGIN_DIR ${PLUGIN_BASE}/CameraApp)
     set(DESKTOP_EXEC "./${CAMERA_APP}")
-	set(CAMERA_ICON "${CMAKE_INSTALL_DATADIR}/icons/camera-app.svg")
-	install(FILES camera-app.svg DESTINATION ${CMAKE_INSTALL_DATADIR}/icons)
+  	set(CAMERA_ICON "${CMAKE_INSTALL_DATADIR}/icons/camera-app.svg")
+  	install(FILES camera-app.svg DESTINATION ${CMAKE_INSTALL_DATADIR}/icons)
     add_definitions("-DCLICK_MODE=1")
+
+    if(NOT BZR_REVNO)
+        set(BZR_REVNO "latest")
+    endif(NOT BZR_REVNO)
 else(CLICK_MODE)
-	set(CAMERA_ICON "camera-app")
+    set(CAMERA_ICON "camera-app")
     set(CAMERA_APP_DIR ${CMAKE_INSTALL_DATADIR}/${CAMERA_APP})
+    set(PLUGIN_BASE ${CMAKE_INSTALL_LIBDIR}/${CAMERA_APP})
+    set(PLUGIN_DIR ${PLUGIN_BASE}/CameraApp)
     set(DESKTOP_EXEC ${CAMERA_APP})
 endif(CLICK_MODE)
 
@@ -92,26 +103,41 @@
     DESTINATION ${CAMERA_APP_DIR}
     )
 
-set(DESKTOP_FILE camera-app.desktop)
-file(REMOVE ${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE})
-file(STRINGS ${DESKTOP_FILE}.in DESKTOP_FILE_CONTENTS)
-foreach(LINE ${DESKTOP_FILE_CONTENTS})
-    string(REGEX REPLACE "tr\\\(\"(.*)\"\\\)" "\\1" LINE "${LINE}")
-    string(CONFIGURE "${LINE}" LINE)
-    file(APPEND ${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE} "${LINE}\n")
-endforeach(LINE)
+configure_file(${DESKTOP_FILE}.in.in ${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE}.in)
+add_custom_target(${DESKTOP_FILE} ALL
+         COMMENT "Merging translations into ${DESKTOP_FILE}"
+         COMMAND ${INTLTOOL_MERGE} -d -u ${CMAKE_SOURCE_DIR}/po ${DESKTOP_FILE}.in ${DESKTOP_FILE}
+        )
 
-install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE}
-    DESTINATION ${CMAKE_INSTALL_DATADIR}/applications
-    )
+# make non compiled files visible in qtcreator
+file(GLOB_RECURSE NON_COMPILED_FILES *.qml *.js *.py *.svg *.png *.in *.json *.desktop *.pot qmldir)
+add_custom_target(NON_COMPILED_TARGET ALL SOURCES ${NON_COMPILED_FILES})
+
+if(CLICK_MODE)
+
+    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE}
+        DESTINATION ${CMAKE_INSTALL_PREFIX})
+
+    configure_file(manifest.json ${CMAKE_CURRENT_BINARY_DIR}/manifest.json)
+    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/manifest.json
+            DESTINATION ${CMAKE_INSTALL_PREFIX})
+    install(FILES camera-apparmor.json
+            DESTINATION ${CMAKE_INSTALL_PREFIX})
+    install(FILES camera-contenthub.json
+            DESTINATION ${CMAKE_INSTALL_PREFIX})
+
+else(CLICK_MODE)
+    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE}
+        DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
+endif(CLICK_MODE)
 
 add_subdirectory(CameraApp)
-add_subdirectory(click)
 add_subdirectory(desktop)
 
 file(GLOB_RECURSE I18N_SRC_FILES
-     RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
-     **.qml **.desktop.in)
+     RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}/po
+     **.qml)
+list(APPEND I18N_SRC_FILES ${DESKTOP_FILE}.in.in.h)
 list(SORT I18N_SRC_FILES)
 
 # for dh_translations to extract the domain

## camera-app 3.0.0+15.04.20150125

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,6 +25,7 @@
 set(CAMERA_APP camera-app)
 set(AUTOPILOT_DIR camera_app)
 set(DESKTOP_FILE camera-app.desktop)
+set(UBUNTU_MANIFEST_PATH "manifest.json" CACHE INTERNAL "Tells QtCreator location and name of the manifest file")
 
 if(CLICK_MODE)
     if(NOT DEFINED BZR_SOURCE)

=== CameraApp/CMakeLists.txt ===
# QML plugin

set(plugin_SRCS
    components.cpp
    advancedcamerasettings.cpp
    fileoperations.cpp
    foldersmodel.cpp
    )

set(plugin_HDRS
    components.h
    advancedcamerasettings.h
    fileoperations.h
    foldersmodel.h
    )

add_library(camera-qml SHARED ${plugin_SRCS} ${plugin_HDRS})

target_link_libraries(camera-qml
    ${Qt5Qml_LIBRARIES}
    ${Qt5Quick_LIBRARIES}
    ${Qt5Multimedia_LIBRARIES}
    )

install(TARGETS camera-qml DESTINATION ${PLUGIN_DIR})
install(FILES qmldir DESTINATION ${PLUGIN_DIR})

## camera-app 3.0.0+15.04.20150218

=== tests/unittests/CMakeLists.txt ===
--- 
+++ 
@@ -9,3 +9,30 @@
 foreach(qmlTestFile ${qmlTestFiles})
   file(COPY ${qmlTestFile} DESTINATION ${CMAKE_BINARY_DIR}/tests/unittests/)
 endforeach(qmlTestFile)
+
+if(NOT CTEST_TESTING_TIMEOUT)
+    set(CTEST_TESTING_TIMEOUT 60)
+endif()
+
+include_directories(
+    ${CMAKE_BINARY_DIR}
+    ${camera_plugin_SOURCE_DIR}
+    )
+
+add_executable(tst_storagemonitor
+    tst_storagemonitor.cpp
+    ${camera_plugin_SOURCE_DIR}/storagemonitor.cpp
+    qstorageinfo_stub.cpp
+    storageinfocontrol.cpp
+    )
+
+qt5_use_modules(tst_storagemonitor Widgets Core Quick Qml Test)
+add_test(tst_storagemonitor tst_storagemonitor -xunitxml -o test.xml)
+set_tests_properties(tst_storagemonitor PROPERTIES
+    TIMEOUT ${CTEST_TESTING_TIMEOUT}
+    ENVIRONMENT "QT_QPA_PLATFORM=minimal"
+    )
+
+target_link_libraries(tst_storagemonitor
+    camera-qml
+)

## camera-app 3.0.0+16.04.20151026

=== CameraApp/CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,14 @@
 # QML plugin
+project(camera_plugin)
 
 set(plugin_SRCS
     components.cpp
     advancedcamerasettings.cpp
     fileoperations.cpp
     foldersmodel.cpp
+    storagemonitor.cpp
+    qstorageinfo.cpp
+    qstorageinfo_unix.cpp
     )
 
 set(plugin_HDRS
@@ -12,6 +16,9 @@
     advancedcamerasettings.h
     fileoperations.h
     foldersmodel.h
+    storagemonitor.h
+    qstorageinfo.h
+    qstorageinfo_p.h
     )
 
 add_library(camera-qml SHARED ${plugin_SRCS} ${plugin_HDRS})

## camera-app 3.0.0+16.04.20151103

=== CMakeLists.txt ===
--- 
+++ 
@@ -37,8 +37,8 @@
     set(PLUGIN_BASE lib/${CMAKE_LIBRARY_ARCHITECTURE})
     set(PLUGIN_DIR ${PLUGIN_BASE}/CameraApp)
     set(DESKTOP_EXEC "./${CAMERA_APP}")
-  	set(CAMERA_ICON "${CMAKE_INSTALL_DATADIR}/icons/camera-app.svg")
-  	install(FILES camera-app.svg DESTINATION ${CMAKE_INSTALL_DATADIR}/icons)
+  	set(CAMERA_ICON "${CMAKE_INSTALL_DATADIR}/icons/camera-app.png")
+  	install(FILES camera-app.png DESTINATION ${CMAKE_INSTALL_DATADIR}/icons)
     add_definitions("-DCLICK_MODE=1")
 
     if(NOT BZR_REVNO)

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -17,11 +17,8 @@
                           -D ${CMAKE_CURRENT_BINARY_DIR}
                           --from-code=UTF-8
                           --c++ --qt --add-comments=TRANSLATORS
-                          --keyword=tr 
-                          --keyword=N_ 
-                          --keyword=tr:1,2
-                          --keyword=QT_TR_NOOP 
-                          --keyword=tag
+                          --keyword=tr --keyword=N_ --keyword=tr:1,2
+                          --keyword=QT_TR_NOOP
                           --package-name=camera-app
                           --copyright-holder='Canonical Ltd.'
                           ${I18N_SRC_FILES})

=== tests/unittests/CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,13 @@
+find_program(XVFB_RUN_BIN
+    NAMES xvfb-run
+)
+
+set(XVFB_RUN_CMD ${XVFB_RUN_BIN} -a -s "-screen 0 1024x768x24")
+
 add_executable(tst_QmlTests tst_QmlTests.cpp)
 qt5_use_modules(tst_QmlTests Core Qml Quick Test QuickTest)
 target_link_libraries(tst_QmlTests ${TPL_QT5_LIBRARIES})
-add_test(tst_QmlTests ${CMAKE_CURRENT_BINARY_DIR}/tst_QmlTests -import ${CMAKE_SOURCE_DIR})
-set_tests_properties(tst_QmlTests PROPERTIES ENVIRONMENT "QT_QPA_PLATFORM=minimal")
+add_test(tst_QmlTests ${XVFB_RUN_CMD} ${CMAKE_CURRENT_BINARY_DIR}/tst_QmlTests -import ${CMAKE_SOURCE_DIR})
 
 # copy qml test files to build dir
 file(GLOB qmlTestFiles RELATIVE ${CMAKE_SOURCE_DIR}/tests/unittests/ *qml)

## camera-app 3.0.0+16.04.20151124

=== CameraApp/CMakeLists.txt ===
--- 
+++ 
@@ -23,6 +23,9 @@
 
 add_library(camera-qml SHARED ${plugin_SRCS} ${plugin_HDRS})
 
+#make sure that the qmldir file is in the QML2_IMPORT_PATH when running from QtC
+file(COPY qmldir DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
+
 target_link_libraries(camera-qml
     ${Qt5Qml_LIBRARIES}
     ${Qt5Quick_LIBRARIES}

## camera-app 3.0.0+16.04.20160229

=== tests/unittests/CMakeLists.txt ===
--- 
+++ 
@@ -33,6 +33,7 @@
 
 qt5_use_modules(tst_storagemonitor Widgets Core Quick Qml Test)
 add_test(tst_storagemonitor tst_storagemonitor -xunitxml -o test.xml)
+add_test(flake8 python3 -m flake8 ${CMAKE_SOURCE_DIR}/tests/autopilot)
 set_tests_properties(tst_storagemonitor PROPERTIES
     TIMEOUT ${CTEST_TESTING_TIMEOUT}
     ENVIRONMENT "QT_QPA_PLATFORM=minimal"

## camera-app 3.0.0+16.04.20160323.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -19,13 +19,13 @@
 find_program(INTLTOOL_MERGE intltool-merge)
 find_program(INTLTOOL_EXTRACT intltool-extract)
 
-option(INSTALL_TESTS "Install the tests on make install" on)
-option(CLICK_MODE "Installs to a contained location" off)
+option(INSTALL_TESTS "Install the tests on make install" off)
+option(CLICK_MODE "Installs to a contained location" on)
 
 set(CAMERA_APP camera-app)
 set(AUTOPILOT_DIR camera_app)
 set(DESKTOP_FILE camera-app.desktop)
-set(UBUNTU_MANIFEST_PATH "manifest.json" CACHE INTERNAL "Tells QtCreator location and name of the manifest file")
+set(UBUNTU_MANIFEST_PATH "manifest.json.in" CACHE INTERNAL "Tells QtCreator location and name of the manifest file")
 
 if(CLICK_MODE)
     if(NOT DEFINED BZR_SOURCE)
@@ -111,7 +111,7 @@
         )
 
 # make non compiled files visible in qtcreator
-file(GLOB_RECURSE NON_COMPILED_FILES *.qml *.js *.py *.svg *.png *.in *.json *.desktop *.pot qmldir)
+file(GLOB_RECURSE NON_COMPILED_FILES *.qml *.js *.py *.svg *.png *.in *.json *.desktop *.pot *.apparmor qmldir)
 add_custom_target(NON_COMPILED_TARGET ALL SOURCES ${NON_COMPILED_FILES})
 
 if(CLICK_MODE)
@@ -119,10 +119,16 @@
     install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE}
         DESTINATION ${CMAKE_INSTALL_PREFIX})
 
-    configure_file(manifest.json ${CMAKE_CURRENT_BINARY_DIR}/manifest.json)
+    execute_process(
+      COMMAND dpkg-architecture -qDEB_HOST_ARCH
+      OUTPUT_VARIABLE CLICK_ARCH
+      OUTPUT_STRIP_TRAILING_WHITESPACE
+    )
+
+    configure_file(manifest.json.in ${CMAKE_CURRENT_BINARY_DIR}/manifest.json)
     install(FILES ${CMAKE_CURRENT_BINARY_DIR}/manifest.json
             DESTINATION ${CMAKE_INSTALL_PREFIX})
-    install(FILES camera-apparmor.json
+    install(FILES camera.apparmor
             DESTINATION ${CMAKE_INSTALL_PREFIX})
     install(FILES camera-contenthub.json
             DESTINATION ${CMAKE_INSTALL_PREFIX})

=== CameraApp/CMakeLists.txt ===
--- 
+++ 
@@ -7,8 +7,7 @@
     fileoperations.cpp
     foldersmodel.cpp
     storagemonitor.cpp
-    qstorageinfo.cpp
-    qstorageinfo_unix.cpp
+    storagelocations.cpp
     )
 
 set(plugin_HDRS
@@ -17,8 +16,7 @@
     fileoperations.h
     foldersmodel.h
     storagemonitor.h
-    qstorageinfo.h
-    qstorageinfo_p.h
+    storagelocations.h
     )
 
 add_library(camera-qml SHARED ${plugin_SRCS} ${plugin_HDRS})

=== tests/autopilot/CMakeLists.txt ===
execute_process(COMMAND python3 -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())"
    OUTPUT_VARIABLE PYTHON_PACKAGE_DIR OUTPUT_STRIP_TRAILING_WHITESPACE)

if(INSTALL_TESTS)
if(NOT CLICK_MODE)
message(WARNING ${PYTHON_PACKAGE_DIR})
install(DIRECTORY ${AUTOPILOT_DIR}
    DESTINATION ${PYTHON_PACKAGE_DIR}
    )
endif(NOT CLICK_MODE)
endif(INSTALL_TESTS)

=== tests/unittests/CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 add_executable(tst_QmlTests tst_QmlTests.cpp)
 qt5_use_modules(tst_QmlTests Core Qml Quick Test QuickTest)
 target_link_libraries(tst_QmlTests ${TPL_QT5_LIBRARIES})
-add_test(tst_QmlTests ${XVFB_RUN_CMD} ${CMAKE_CURRENT_BINARY_DIR}/tst_QmlTests -import ${CMAKE_SOURCE_DIR})
+add_test(tst_QmlTests ${XVFB_RUN_CMD} ${CMAKE_CURRENT_BINARY_DIR}/tst_QmlTests -import ${CMAKE_SOURCE_DIR} -import ${CMAKE_BINARY_DIR})
 
 # copy qml test files to build dir
 file(GLOB qmlTestFiles RELATIVE ${CMAKE_SOURCE_DIR}/tests/unittests/ *qml)

## camera-app 3.0.0+17.04.20170106

=== CMakeLists.txt ===
--- 
+++ 
@@ -136,6 +136,9 @@
 else(CLICK_MODE)
     install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE}
         DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
+    install(FILES camera-contenthub.json
+        DESTINATION ${CMAKE_INSTALL_DATADIR}/content-hub/peers
+        RENAME camera-app)
 endif(CLICK_MODE)
 
 add_subdirectory(CameraApp)
